/// <reference types="node" resolution-mode="require"/>
import { Libp2p } from '@cerc-io/libp2p';
import type { PeerId } from '@libp2p/interface-peer-id';
/**
 * Used for tracking heartbeat of connected remote peers
 */
export declare class PeerHearbeatChecker {
    _node: Libp2p;
    _peerHeartbeatIntervalIdsMap: Map<string, NodeJS.Timer>;
    constructor(node: Libp2p);
    /**
     * Method to start heartbeat checks for a peer
     * @param peerId
     * @param handleDisconnect
     */
    start(peerId: PeerId, handleDisconnect: () => Promise<void>): Promise<void>;
    /**
     * Method to check connection using ping request
     * @param peerId
     * @param handleDisconnect
     */
    _validatePing(peerId: PeerId, handleDisconnect: () => Promise<void>): Promise<void>;
    /**
     * Method to stop heartbeat checks for a peer
     * @param peerId
     */
    stop(peerId: PeerId): void;
}
